# class RSS::Maker::ImageFaviconModel::ImageFaviconBase

### Attributes

about[RW]
image_size[RW]
size[RW]
size=[RW]

### Public Instance Methods

have_required_values?() click to toggle source

    # File lib/rss/maker/image.rb, line 77
    def have_required_values?
      @about and @image_size
    end

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/image.rb, line 81
    def to_feed(feed, current)
      if current.respond_to?(:image_favicon=) and have_required_values?
        favicon = current.class::ImageFavicon.new
        setup_values(favicon)
        setup_other_elements(favicon)
        current.image_favicon = favicon
      end
    end